aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Domain

# Documentation

data CreateDomain Source #

Constructors

CreateDomain |

Fields

- cdDomainName :: Text

#### Instances

Instances details

SignQuery CreateDomain Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration CreateDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration

Methods

signQuery :: CreateDomain -> ServiceConfiguration CreateDomain queryType -> SignatureData -> SignedQuery Source #

Show CreateDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> CreateDomain -> ShowS Source # show :: CreateDomain -> String Source # showList :: [CreateDomain] -> ShowS Source #
Transaction CreateDomain CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration CreateDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration

data CreateDomainResponse Source #

Constructors

CreateDomainResponse |

#### Instances

Instances details

AsMemoryResponse CreateDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse

Methods

loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) Source #

Show CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> CreateDomainResponse -> ShowS Source # show :: CreateDomainResponse -> String Source # showList :: [CreateDomainResponse] -> ShowS Source #
ResponseConsumer r CreateDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateDomainResponse) -> HTTPResponseConsumer CreateDomainResponse Source #

Transaction CreateDomain CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse
type ResponseMetadata CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata

createDomain :: Text -> CreateDomain Source #

data DeleteDomain Source #

Constructors

DeleteDomain |

Fields

- ddDomainName :: Text

#### Instances

Instances details

SignQuery DeleteDomain Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DeleteDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration

Methods

signQuery :: DeleteDomain -> ServiceConfiguration DeleteDomain queryType -> SignatureData -> SignedQuery Source #

Show DeleteDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DeleteDomain -> ShowS Source # show :: DeleteDomain -> String Source # showList :: [DeleteDomain] -> ShowS Source #
Transaction DeleteDomain DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration DeleteDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration

data DeleteDomainResponse Source #

Constructors

DeleteDomainResponse |

#### Instances

Instances details

AsMemoryResponse DeleteDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse

Methods

loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) Source #

Show DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DeleteDomainResponse -> ShowS Source # show :: DeleteDomainResponse -> String Source # showList :: [DeleteDomainResponse] -> ShowS Source #
ResponseConsumer r DeleteDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteDomainResponse) -> HTTPResponseConsumer DeleteDomainResponse Source #

Transaction DeleteDomain DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse
type ResponseMetadata DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata

deleteDomain :: Text -> DeleteDomain Source #

data DomainMetadata Source #

Constructors

DomainMetadata |

Fields

- dmDomainName :: Text

#### Instances

Instances details

SignQuery DomainMetadata Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DomainMetadata |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration

Methods

signQuery :: DomainMetadata -> ServiceConfiguration DomainMetadata queryType -> SignatureData -> SignedQuery Source #

Show DomainMetadata Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DomainMetadata -> ShowS Source # show :: DomainMetadata -> String Source # showList :: [DomainMetadata] -> ShowS Source #
Transaction DomainMetadata DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration DomainMetadata Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration

data DomainMetadataResponse Source #

Constructors

DomainMetadataResponse |

Fields

- dmrTimestamp :: UTCTime
- dmrItemCount :: Integer
- dmrAttributeValueCount :: Integer
- dmrAttributeNameCount :: Integer
- dmrItemNamesSizeBytes :: Integer
- dmrAttributeValuesSizeBytes :: Integer
- dmrAttributeNamesSizeBytes :: Integer

#### Instances

Instances details

AsMemoryResponse DomainMetadataResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse

Methods

loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) Source #

Show DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DomainMetadataResponse -> ShowS Source # show :: DomainMetadataResponse -> String Source # showList :: [DomainMetadataResponse] -> ShowS Source #
ResponseConsumer r DomainMetadataResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DomainMetadataResponse) -> HTTPResponseConsumer DomainMetadataResponse Source #

Transaction DomainMetadata DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse
type ResponseMetadata DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata

domainMetadata :: Text -> DomainMetadata Source #

data ListDomains Source #

Constructors

ListDomains |

Fields

- ldMaxNumberOfDomains :: Maybe Int
- ldNextToken :: Maybe Text

#### Instances

Instances details

SignQuery ListDomains Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration ListDomains |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration

Methods

signQuery :: ListDomains -> ServiceConfiguration ListDomains queryType -> SignatureData -> SignedQuery Source #

Show ListDomains Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> ListDomains -> ShowS Source # show :: ListDomains -> String Source # showList :: [ListDomains] -> ShowS Source #
IteratedTransaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains Source #
Transaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration ListDomains Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration

data ListDomainsResponse Source #

Constructors

ListDomainsResponse |

Fields

- ldrDomainNames :: [Text]
- ldrNextToken :: Maybe Text

#### Instances

Instances details

AsMemoryResponse ListDomainsResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse

Methods

loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) Source #

Show ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> ListDomainsResponse -> ShowS Source # show :: ListDomainsResponse -> String Source # showList :: [ListDomainsResponse] -> ShowS Source #
IteratedTransaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains Source #
ListResponse ListDomainsResponse Text Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods listResponse :: ListDomainsResponse -> [Text] Source #
ResponseConsumer r ListDomainsResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListDomainsResponse) -> HTTPResponseConsumer ListDomainsResponse Source #

Transaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse
type ResponseMetadata ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata

listDomains :: ListDomains Source #